hight.h File Reference

Classes for the HIGHT block cipher. More...

Go to the source code of this file.

## Classes

struct | HIGHT_Info
| HIGHT block cipher information. More...
class | HIGHT
| HIGHT 64-bit block cipher. More...
class | HIGHT::Base
| HIGHT block cipher transformation functions. More...
class | HIGHT::Enc
| Encryption transformation. More...
class | HIGHT::Dec
| Decryption transformation. More...

## Typedefs

typedef HIGHT::Encryption | HIGHTEncryption
typedef HIGHT::Decryption | HIGHTDecryption

## Detailed Description

Classes for the HIGHT block cipher.

Since
  Crypto++ 8.0

Definition in file hight.h.